/****************************************************************************
 ***              G  L  O  B  A  L    M  A  C  R  O  S                    ***
 ****************************************************************************/

#include "astro.h"

#define MAX_PROCS 100
#define MAX_LEVELS 10
#define MAX_STEPS 51
#define in 1
#define mid 0
#define out -1

#define iam(P1) static int proc_num = P1

#define trace_me proc_trace[proc_num]==1

#define block(P1,P2,P3) \
 block_trace(proc_num,P1,P2,P3); \
 if (P1 == in) proc_count[proc_num] += 1

#define assert0(P1,P2,P3) \
 if (!(P1 P2 P3)) assert_error(proc_num,P1,P3,0.0,0.0,0.0,0.0,0.0)

#define assert1(P1,P2,P3) \
 if (!(P1 P2 P3)) assert_error(proc_num,P1,P3,m,p,t,0.0,0.0)

#define assert2(P1,P2,P3) \
 if (!(P1 P2 P3)) assert_error(proc_num,P1,P3,m,p,t,l,r)

